Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.util
Interface TaskListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  TaskAdapter, TaskMonitor

    public interface TaskListener

extends java.util.EventListener

Method Summary
`void` | `done(Task task)`
`void` | `maximumUpdated(Task task)`
`void` | `running(Task task)`
`void` | `statusUpdated(Task task)`
`void` | `valueUpdated(Task task)`
`void` | `waiting(Task task)`

Method Detail

### waiting

    void waiting(Task task)

### running

    void running(Task task)

### done

    void done(Task task)

### statusUpdated

    void statusUpdated(Task task)

### maximumUpdated

    void maximumUpdated(Task task)

### valueUpdated

    void valueUpdated(Task task)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD